%function [X_tr,Y_tr,X_tst,Y_tst] = generate_data(n_tr, n_tst, d, D, noise_prob)
function [X,Y] = generate_data(n, d, D, add_noise, num_noisy_features, num_noisy_samples, type)
% Adds to X more features equal to num_noisy_features
% Affects num_noisy_samples only to the existing samples

n_eachclass = n/2 + num_noisy_samples/2;

[U,S,V] = svd(rand(D));
U1 = U(:,1:d);
X = U1*rand(d,n_eachclass);
Y = ones(1,n_eachclass);

R = orth(rand(D));
U1 = R*U1;
X = [X,U1*rand(d,n_eachclass)];
Y = [Y,(type)*ones(1,n_eachclass)];

% fprintf ('Generated the data...\n');

% Adding some random noise
if (add_noise)
%     norm_x_1 = sqrt(sum(X.^2,2));
%     norm_x = repmat(norm_x_1,1,n_eachclass*2);
%     gn = norm_x.*randn(D,n_eachclass*2);
    inds = [n_eachclass-num_noisy_samples/2+1:n_eachclass n_eachclass*2-num_noisy_samples/2+1:n_eachclass*2];%rand(1,nX)<=noise_prob;
%     X(:,inds) = X(:,inds) + 0.3*gn(:,inds);
    newsamples = randn(D,num_noisy_samples);
    X(:,inds) = newsamples;

    X(size(X,1)+1:size(X,1)+num_noisy_features, :) = repmat(sqrt(sum(X.^2,1)), num_noisy_features, 1).*randn(num_noisy_features,n_eachclass*2);
    
%     nX = size(X_tst,2);
%     norm_x = sqrt(sum(X_tst.^2,1));
%     norm_x = repmat(norm_x,D,1);
%     gn = norm_x.*randn(D,nX);
%     inds = rand(1,nX)<=noise_prob;
%     X_tst(:,inds) = X_tst(:,inds) + 0.3*gn(:,inds);
end
